Note: Due to technical difficulties, the Archives are currently not up to date.
GMANE provides an alternative service for most mailing lists. c.f. bug 424647
List Archive: gentoo-commits
Author: wolf31o2
Date: 2008-04-13 21:55:03 +0000 (Sun, 13 Apr 2008)
New Revision: 1395
Modified:
trunk/ChangeLog
trunk/targets/livecd-stage2/livecd-stage2-controller.sh
Log:
Added initial framework for creating the CD's root on livecd/livedvd. Currently, the end result is the same, but I'll be adding code to automatically copy the stages and to automatically download the distfiles.
Modified: trunk/ChangeLog
===================================================================
--- trunk/ChangeLog 2008-04-13 15:47:55 UTC (rev 1394)
+++ trunk/ChangeLog 2008-04-13 21:55:03 UTC (rev 1395)
@@ -2,6 +2,12 @@
# $Id: $
13 Apr 2008; Chris Gianelloni <wolf31o2@g.o>
+ targets/livecd-stage2/livecd-stage2-controller.sh:
+ Added initial framework for creating the CD's root on livecd/livedvd.
+ Currently, the end result is the same, but I'll be adding code to
+ automatically copy the stages and to automatically download the distfiles.
+
+ 13 Apr 2008; Chris Gianelloni <wolf31o2@g.o>
targets/livecd-stage2/livecd-stage2-controller.sh,
targets/support/kmerge.sh, targets/support/livecdfs-update.sh,
targets/support/rc-update.sh:
Modified: trunk/targets/livecd-stage2/livecd-stage2-controller.sh
===================================================================
--- trunk/targets/livecd-stage2/livecd-stage2-controller.sh 2008-04-13 15:47:55 UTC (rev 1394)
+++ trunk/targets/livecd-stage2/livecd-stage2-controller.sh 2008-04-13 21:55:03 UTC (rev 1395)
@@ -142,7 +142,7 @@
esac
case ${clst_livecd_type} in
- gentoo-release-live*)
+ gentoo-release-livecd)
mkdir -p $1/snapshots
if [ -n "${clst_livecd_overlay}" ]
then
@@ -156,6 +156,37 @@
cp -f ${clst_snapshot_path} $1/snapshots
cp -f ${clst_snapshot_path}.DIGESTS $1/snapshots
;;
+ gentoo-release-livedvd)
+ targets="distfiles snapshots stages"
+ for i in ${targets}
+ do
+ mkdir -p $1/$i
+ if [ -n "${clst_livecd_overlay}" ]
+ then
+ if [ -e ${clst_livecd_overlay}/$i ] && \
+ [ -n "$(ls ${clst_livecd_overlay}/$i |grep -v README)" ]
+ then
+ echo "ERROR: You have files in $i in your overlay!"
+ echo "This directory is now populated by catalyst."
+ exit 1
+ fi
+ fi
+ case ${target} in
+ distfiles)
+ ### TODO: make this fetch the distfiles
+ continue
+ ;;
+ snapshots)
+ cp -f ${clst_snapshot_path} $1/snapshots
+ cp -f ${clst_snapshot_path}.DIGESTS $1/snapshots
+ ;;
+ stages)
+ ### TODO: make this copy stages
+ continue
+ ;;
+ esac
+ done
+ ;;
esac
${clst_sharedir}/targets/support/bootloader-setup.sh $1
--
gentoo-commits@g.o mailing list
|
|